#ifndef GAME_LOGIC_H
#define GAME_LOGIC_H

#include "game_state.h"

void update_snake(GameState &state);
bool check_collision_self(GameState &state);
bool check_collision_apples(GameState &state);
bool check_collision_apples_rotten(GameState &state);
void spawn_apples(GameState &state);
void spawn_apples_rotten(GameState &state);

#endif
